<?php

namespace Drupal\calendar_view\Plugin\views\filter;

use Drupal\Core\Cache\Cache;
use Drupal\views\Plugin\views\filter\Date;

/**
 * Date/time views filter for a Calendar View .
 *
 * @ingroup views_filter_handlers
 *
 * @ViewsFilter("calendar_view_timestamp")
 */
class CalendarViewTimestamp extends Date {

  /**
   * No query for us. We just want the query arg to be populated.
   */
  public function query() {
    return;
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheContexts() {
    return Cache::mergeContexts(parent::getCacheContexts(), ['url.query_args:calendar_timestamp']);
  }
}
